%global module packaging

Name:           python-%{module}
Version:        21.3
Release:        %mkrel 1
Summary:        Core utilities for Python packages

License:        BSD or ASL 2.0
Group:          Development/Python
URL:            https://pypi.python.org/pypi/packaging
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pyparsing
BuildRequires:  python3-setuptools

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}
Requires:       python3-pyparsing

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
%__rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc README.rst CHANGELOG.rst CONTRIBUTING.rst LICENSE*
%{python3_sitelib}/*

%changelog
* Sat Feb 12 2022 TerryN <terryn94 at gmail.com> 21.3-1pclos2022
- update and rebuild for python 3.10

* Thu Apr 19 2018 marcin82 <fixxer1982 at gmail.com> 17.1-2pclos2018
- rebuild with python 3.6.5

* Sat Mar 31 2018 marcin82 <fixxer1982 at gmail.com> 17.1-1pclos2018
- Initial build for PCLinuxOS
